package subscribeplanrepository

import (
	subscribeplandomain "legalgo-BE-go/internal/domain/subscribe_plan"
)

func (s *SubsPlan) GetAll() ([]subscribeplandomain.SubscribePlan, error) {
	var subscribePlans []subscribeplandomain.SubscribePlan

	if err := s.DB.Find(&subscribePlans).Error; err != nil {
		return nil, err
	}

	return subscribePlans, nil
}
